eole-vpn - Scénario #15346

Implémenter IKE fragmentation = yes | force | no sur EOLE 2.6
05/03/2016 17:57 - Christophe Dezé

Statut: Terminé (Sprint) Début: 05/09/2016
Priorité: Normal Echéance: 16/12/2016
Assigné a: force orange % réalisé: 100%
Catégorie: Temps estimé: 0.00 heure
Version cible: sprint 2016 48-50 - Equipe MENSR Temps passé: 5.50 heures
Description

bonjour,

c'est loin ( pas si loin que ¢a ;-) ) mais ne serait-il pas intéressant d'implémenter fragmentation = yes sur la version 2.6
Dans ipsec.conf :

e fragmentation = yes | force | no
Dans strongswan.conf :

¢ Charger le plugin lié charon.plugins.kernel-netlink
o mss a templatiser
o mtu a templatiser

Exemple :

charon {
load_modular = yes

plugins {
kernel—-netlink {
mtu = 1300
mss = 1300

whether to use IKE fragmentation (proprietary IKEv1l extension or IKEv2 fragmentation as per RFC 73
83) .

Fragmented messages sent by a peer are always accepted irrespective of the value of this option.
If set to yes and the peer supports it, larger IKE messages will be sent in fragments (the maximum
fragment size

can be configured in strongswan.conf). If set to force (only supported for IKEvl) the initial IKE

message will already

be fragmented if required.

Available for IKEvl connections since 5.0.2 and for IKEv2 connections since 5.2.1.

Sous-taches:
Tache # 17003: Possibilité d'autoriser la fragmentation dans le dictionnaire 20_vpn.xml... Fermé
Téache # 16999: ARV : Proposer a l'instar de I'option leftsendcert la possibilité d'auto... Fermé

Historique

#1 - 07/03/2016 10:21 - Gérald Schwartzmann

- Sujet changé de implementer fragmentation = yes sur EOLE 2.6 a Implementer IKE fragmentation = yes | force | no sur EOLE 2.6

#2 - 07/03/2016 10:21 - Gérald Schwartzmann

- Sujet changé de Implementer IKE fragmentation = yes | force | no sur EOLE 2.6 a Implémenter IKE fragmentation = yes | force | no sur EOLE 2.6

#3 - 07/03/2016 11:49 - Scrum Master

- Assigné a mis a Fabrice Barconniére

Formaliser

#4 - 09/03/2016 10:35 - Fabrice Barconniére

- Tracker changé de Demande a Proposition Scénario
- Projet changé de Sphynx a eole-vpn

- Description mis a jour

- Assigné a Fabrice Barconniere supprimé

#5 - 23/03/2016 16:14 - Scrum Master

- Tracker changé de Proposition Scénario a Scénario
- Début 05/03/2016 supprimé

- Release mis a EOLE 2.6.0

- Points de scénarios mis a 4.0

#6 - 02/09/2016 14:58 - Luc Bourdot

- Echéance mis a 23/09/2016

- Version cible mis a sprint 2016 36-38 - Equipe MENSR
- Début mis & 05/09/2016

#7 - 02/09/2016 16:24 - Joél Cuissinat

- Assigné a mis a force jaune

#8 - 02/09/2016 16:24 - Joél Cuissinat

- Assigné a changé de force jaune a force orange

#9 - 05/09/2016 11:35 - Scrum Master

- Echéance 23/09/2016 supprimé

- Version cible sprint 2016 36-38 - Equipe MENSR supprimé
- Début 05/09/2016 supprimé

- Release changé de EOLE 2.6.0 a EOLE 2.6.1

#10 - 25/11/2016 17:01 - Luc Bourdot
- Echéance mis a 16/12/2016
- Version cible mis a sprint 2016 48-50 - Equipe MENSR

- Début mis a 28/11/2016

#11 - 28/11/2016 11:01 - Scrum Master
- Points de scénarios changé de 4.0 a 3.0

#12 - 13/12/2016 09:31 - Scrum Master

- Statut changé de Nouveau a Terminé (Sprint)
